struct ORDER_HLINE
{
private:
  string Title;
  double Price;
  color Color;
  ENUM_LINE_STYLE Style;

  bool Sync;

public:
  string Name;

  void Set( const string sName, const string sTitle, const double dPrice, const color cColor, const ENUM_LINE_STYLE sStyle = STYLE_DASHDOT )
  {
    this.Name = sName;

    this.Title = sTitle;
    this.Price = dPrice;
    this.Color = cColor;
    this.Style = sStyle;

    this.Sync = false;

    return;
  }

  bool Create( const long chartID = 0 )
  {
    const bool Res = !this.Sync && ::ObjectCreate(chartID, this.Name, OBJ_HLINE, 0, 0, this.Price);

    if (Res)
    {
      ::ObjectSetString(chartID, this.Name, OBJPROP_TEXT, this.Title);
      ::ObjectSetInteger(chartID, this.Name, OBJPROP_COLOR, this.Color);
      ::ObjectSetInteger(chartID, this.Name, OBJPROP_STYLE, this.Style);

      this.Sync = true;
    }

    return(Res);
  }

  bool Modify( const long chartID = 0 )
  {
    const bool Res = ::ObjectSetString(chartID, this.Name, OBJPROP_TEXT, this.Title) &&
                     ::ObjectSetDouble(chartID, this.Name, OBJPROP_PRICE, this.Price) &&
                     ::ObjectSetInteger(chartID, this.Name, OBJPROP_COLOR, this.Color) &&
                     ::ObjectSetInteger(chartID, this.Name, OBJPROP_STYLE, this.Style);

    this.Sync = true;

    return(Res);
  }
};